annotation_key.hpp File Reference

A key for use with AMQP annotation maps. More...

`#include "./scalar_base.hpp"`
`#include "./symbol.hpp"`
`#include <proton/type_compat.h>`
Include dependency graph for annotation_key.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | annotation_key
| A key for use with AMQP annotation maps. More...

## Namespaces

| proton
| The main Proton namespace.

## Functions

template<>
uint64_t | get< uint64_t > (const annotation_key &x)
| Get the uint64_t value or throw conversion_error.
template<>
symbol | get< symbol > (const annotation_key &x)
| Get the symbol value or throw conversion_error.
template<class T >
T | coerce (const annotation_key &x)
| Get the binary value or throw conversion_error. More...

## Detailed Description

A key for use with AMQP annotation maps.